
package de.ivu.elect.presentation.staat;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.staat.form.StaatViewFormBuilder;

@OnlineHilfeId(value = "318", mehrfachVergebenOk = true)
@Named(AbstractStaatEditView.COMPONENT_NAME)
public class StaatEditView extends AbstractStaatEditView {

  private static final long serialVersionUID = 1L;

  @Inject
  private StaatViewFormBuilder staatViewFormBuilder;

  public StaatEditView() {
    super();
  }

  @Override
  protected boolean isGebietBearbeitenRechtPruefen() {
    return false;
  }

  @Override
  public void addProperties(FormBuilder formBuilder, Staat staat) {
    staatViewFormBuilder.addProperties(formBuilder, staat);
  }
}
